summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorbkolb2007-12-14 19:34:29 (EST)
committer bkolb2007-12-14 19:34:29 (EST)
commit17f2b241546fe56e717cd1c1657cfee996ff2e69 (patch)
tree9aac7413f53a8ffd49cd16060d06c178ebdbdbc4
parent0027ec33634b427539e70d7184a98e4dfa0e1e67 (diff)
downloadorg.eclipse.xpand-17f2b241546fe56e717cd1c1657cfee996ff2e69.zip
org.eclipse.xpand-17f2b241546fe56e717cd1c1657cfee996ff2e69.tar.gz
org.eclipse.xpand-17f2b241546fe56e717cd1c1657cfee996ff2e69.tar.bz2
added doc plugin
-rw-r--r--doc/org.eclipse.xpand.doc/.project11
-rw-r--r--doc/org.eclipse.xpand.doc/META-INF/MANIFEST.MF10
-rw-r--r--doc/org.eclipse.xpand.doc/about.html28
-rw-r--r--doc/org.eclipse.xpand.doc/about.ini15
-rw-r--r--doc/org.eclipse.xpand.doc/about.mappings5
-rw-r--r--doc/org.eclipse.xpand.doc/about.properties17
-rw-r--r--doc/org.eclipse.xpand.doc/build.properties1
-rw-r--r--doc/org.eclipse.xpand.doc/build.xml132
-rw-r--r--doc/org.eclipse.xpand.doc/build/antJavadoc.sh141
-rw-r--r--doc/org.eclipse.xpand.doc/build/javadoc.xml.template96
-rw-r--r--doc/org.eclipse.xpand.doc/build/overview.html33
-rw-r--r--doc/org.eclipse.xpand.doc/plugin.properties4
-rw-r--r--doc/org.eclipse.xpand.doc/plugin.xml30
-rw-r--r--doc/org.eclipse.xpand.doc/references/.cvsignore0
-rw-r--r--doc/org.eclipse.xpand.doc/toc.xml6
-rw-r--r--doc/org.eclipse.xpand.doc/topics_Reference.xml3
16 files changed, 532 insertions, 0 deletions
diff --git a/doc/org.eclipse.xpand.doc/.project b/doc/org.eclipse.xpand.doc/.project
new file mode 100644
index 0000000..f057233
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/.project
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.xpand.doc</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ </buildSpec>
+ <natures>
+ </natures>
+</projectDescription>
diff --git a/doc/org.eclipse.xpand.doc/META-INF/MANIFEST.MF b/doc/org.eclipse.xpand.doc/META-INF/MANIFEST.MF
new file mode 100644
index 0000000..282fe0f
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/META-INF/MANIFEST.MF
@@ -0,0 +1,10 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: %pluginName
+Bundle-SymbolicName: org.eclipse.xpand.doc;singleton:=true
+Bundle-Version: 0.7.0.qualifier
+Bundle-Vendor: %providerName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.help
+Eclipse-LazyStart: true
diff --git a/doc/org.eclipse.xpand.doc/about.html b/doc/org.eclipse.xpand.doc/about.html
new file mode 100644
index 0000000..1b8f940
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/about.html
@@ -0,0 +1,28 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+ "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
+<title>About</title>
+</head>
+<body lang="EN-US">
+<h2>About This Content</h2>
+
+<p>June 5, 2007</p>
+<h3>License</h3>
+
+<p>The Eclipse Foundation makes available all content in this plug-in (&quot;Content&quot;). Unless otherwise
+indicated below, the Content is provided to you under the terms and conditions of the
+Eclipse Public License Version 1.0 (&quot;EPL&quot;). A copy of the EPL is available
+at <a href="http://www.eclipse.org/legal/epl-v10.html">http://www.eclipse.org/legal/epl-v10.html</a>.
+For purposes of the EPL, &quot;Program&quot; will mean the Content.</p>
+
+<p>If you did not receive this Content directly from the Eclipse Foundation, the Content is
+being redistributed by another party (&quot;Redistributor&quot;) and different terms and conditions may
+apply to your use of any object code in the Content. Check the Redistributor's license that was
+provided with the Content. If no such license exists, contact the Redistributor. Unless otherwise
+indicated below, the terms and conditions of the EPL still apply to any source code in the Content
+and such source code may be obtained at <a href="http://www.eclipse.org/">http://www.eclipse.org</a>.</p>
+
+</body>
+</html> \ No newline at end of file
diff --git a/doc/org.eclipse.xpand.doc/about.ini b/doc/org.eclipse.xpand.doc/about.ini
new file mode 100644
index 0000000..b7e87ca
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/about.ini
@@ -0,0 +1,15 @@
+# about.ini
+# contains information about a feature
+# java.io.Properties file (ISO 8859-1 with "\" escapes)
+# "%key" are externalized strings defined in about.properties
+# This file does not need to be translated.
+
+# Property "aboutText" contains blurb for "About" dialog (translated)
+aboutText=%featureText
+
+# Property "featureImage" contains path to feature image (32x32)
+featureImage=modeling32.png
+
+# Property "appName" contains name of the application (translated)
+appName=%featureName
+
diff --git a/doc/org.eclipse.xpand.doc/about.mappings b/doc/org.eclipse.xpand.doc/about.mappings
new file mode 100644
index 0000000..7d795dc
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/about.mappings
@@ -0,0 +1,5 @@
+# This file contains fill-ins for about.properties
+# java.io.Properties file (ISO 8859-1 with "\" escapes)
+# This file does not need to be translated.
+
+0=@build@
diff --git a/doc/org.eclipse.xpand.doc/about.properties b/doc/org.eclipse.xpand.doc/about.properties
new file mode 100644
index 0000000..000977e
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/about.properties
@@ -0,0 +1,17 @@
+# NLS_MESSAGEFORMAT_VAR
+
+# about.properties
+# contains externalized strings for about.ini
+# java.io.Properties file (ISO 8859-1 with "\" escapes)
+# fill-ins are supplied by about.mappings
+# This file should be translated.
+
+featureName=M2T Xpand Documentation
+
+featureText=M2T Xpand Documentation\n\
+Version: {featureVersion}\n\
+Build id: {0}\n\
+\n\
+(c) Copyright Eclipse contributors and others. 2007. All rights reserved.\n\
+Visit http://www.eclipse.org/modeling/m2t/?project=xpand#xpand
+
diff --git a/doc/org.eclipse.xpand.doc/build.properties b/doc/org.eclipse.xpand.doc/build.properties
new file mode 100644
index 0000000..9c86577
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/build.properties
@@ -0,0 +1 @@
+custom = true
diff --git a/doc/org.eclipse.xpand.doc/build.xml b/doc/org.eclipse.xpand.doc/build.xml
new file mode 100644
index 0000000..cd63315
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/build.xml
@@ -0,0 +1,132 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project name="org.eclipse.xpand.doc" default="build.jars" basedir=".">
+
+ <!-- Plug-in information. This is a HACK. Do not forget to update version numbers, etc.. -->
+ <property name="pluginVersion" value="0.7.0"/>
+ <property name="docPlugin" value="org.eclipse.xpand.doc"/>
+
+ <property name="projectName" value="Xpand"/>
+
+ <property name="basews" value="${ws}"/>
+ <property name="baseos" value="${os}"/>
+ <property name="basearch" value="${arch}"/>
+ <property name="basenl" value="${nl}"/>
+
+ <!-- Compiler settings -->
+ <property name="javacFailOnError" value="false"/>
+ <property name="javacDebugInfo" value="on"/>
+ <property name="javacVerbose" value="true"/>
+ <property name="compilerArg" value=""/>
+ <property name="javacSource" value="1.5"/>
+ <property name="javacTarget" value="1.5"/>
+ <path id="path_bootclasspath">
+ <fileset dir="${java.home}/lib">
+ <include name="*.jar"/>
+ </fileset>
+ </path>
+ <property name="bootclasspath" refid="path_bootclasspath"/>
+ <property name="bundleJavacSource" value="${javacSource}"/>
+ <property name="bundleJavacTarget" value="${javacTarget}"/>
+ <property name="bundleBootClasspath" value="${bootclasspath}"/>
+
+ <target name="init" depends="properties">
+ <condition property="pluginTemp" value="${buildTempFolder}/plugins">
+ <isset property="buildTempFolder"/>
+ </condition>
+ <property name="pluginTemp" value="${basedir}"/>
+ <condition property="build.result.folder" value="${pluginTemp}/${docPlugin}">
+ <isset property="buildTempFolder"/>
+ </condition>
+ <property name="build.result.folder" value="${basedir}"/>
+ <property name="temp.folder" value="${basedir}/temp.folder"/>
+ <property name="plugin.destination" value="${basedir}"/>
+ </target>
+
+ <target name="properties" if="eclipse.running">
+ <property name="build.compiler" value="org.eclipse.jdt.core.JDTCompilerAdapter"/>
+ </target>
+
+ <target name="build.update.jar" depends="init" description="Build the plug-in: ${docPlugin} for an update site.">
+ <delete dir="${temp.folder}"/>
+ <mkdir dir="${temp.folder}"/>
+ <antcall target="build.jars"/>
+ <antcall target="gather.bin.parts">
+ <param name="destination.temp.folder" value="${temp.folder}/"/>
+ </antcall>
+ <zip destfile="${plugin.destination}/${docPlugin}_${pluginVersion}.${forceContextQualifier}.jar" basedir="${temp.folder}/${docPlugin}_${pluginVersion}.${forceContextQualifier}" filesonly="false" whenempty="skip" update="false"/>
+ <delete dir="${temp.folder}"/>
+ </target>
+
+ <target name="gather.bin.parts" depends="init" if="destination.temp.folder">
+ <mkdir dir="${destination.temp.folder}/${docPlugin}_${pluginVersion}.${forceContextQualifier}"/>
+ <copy todir="${destination.temp.folder}/${docPlugin}_${pluginVersion}.${forceContextQualifier}" failonerror="true" overwrite="false">
+ <fileset dir="${build.result.folder}"
+ includes="about.*,modeling*.png,plugin.*,toc*.xml,topics_*.xml,doc.zip,index/**,META-INF/**"/>
+ </copy>
+ <eclipse.versionReplacer path="${destination.temp.folder}/${docPlugin}_${pluginVersion}.${forceContextQualifier}" version="${pluginVersion}.${forceContextQualifier}"/>
+ </target>
+
+ <target name="build.jars" depends="init" description="Build all the jars for the plug-in: ${docPlugin}.">
+ <property name="eclipseDir" location="../.."/>
+
+ <chmod perm="754" file="build/antJavadoc.sh"/>
+ <exec executable="bash" dir="build">
+ <arg line="./antJavadoc.sh ${eclipseDir}"/>
+ </exec>
+
+ <antcall target="build.index"/>
+
+ <zip destfile="${build.result.folder}/doc.zip" compress="true">
+ <zipfileset dir="css" prefix="css"/>
+ <zipfileset dir="images" prefix="images"/>
+ <zipfileset dir="references" prefix="references"/>
+ <zipfileset dir="tutorials" prefix="tutorials"/>
+ </zip>
+ </target>
+
+ <target name="build.index" depends="init" description="Builds search index for the plug-in" if="eclipse.running">
+ <help.buildHelpIndex manifest="plugin.xml" destination="."/>
+ </target>
+
+ <target name="build.sources" depends="init">
+ </target>
+
+ <target name="build.zips" depends="init">
+ </target>
+
+ <target name="gather.sources" depends="init" if="destination.temp.folder">
+ </target>
+
+ <target name="gather.logs" depends="init" if="destination.temp.folder">
+ </target>
+
+ <target name="clean" depends="init" description="Clean the plug-in: ${docPlugin} of all the zips, jars and logs created.">
+ <delete file="${plugin.destination}/${docPlugin}_${pluginVersion}.${forceContextQualifier}.jar"/>
+ <delete file="${plugin.destination}/${docPlugin}_${pluginVersion}.${forceContextQualifier}.zip"/>
+ <delete dir="${temp.folder}"/>
+ </target>
+
+ <target name="refresh" depends="init" if="eclipse.running" description="Refresh this folder.">
+ <eclipse.convertPath fileSystemPath="D:/eclipse/${projectName}/eclipse/plugins/${docPlugin}" property="resourcePath"/>
+ <eclipse.refreshLocal resource="${resourcePath}" depth="infinite"/>
+ </target>
+
+ <target name="zip.plugin" depends="init" description="Create a zip containing all the elements for the plug-in: ${docPlugin}.">
+ <delete dir="${temp.folder}"/>
+ <mkdir dir="${temp.folder}"/>
+ <antcall target="build.jars"/>
+ <antcall target="build.sources"/>
+ <antcall target="gather.bin.parts">
+ <param name="destination.temp.folder" value="${temp.folder}/"/>
+ </antcall>
+ <antcall target="gather.sources">
+ <param name="destination.temp.folder" value="${temp.folder}/"/>
+ </antcall>
+ <delete>
+ <fileset dir="${temp.folder}" includes="**/*.bin.log" />
+ </delete>
+ <zip destfile="${plugin.destination}/${docPlugin}_${pluginVersion}.${forceContextQualifier}.zip" basedir="${temp.folder}" filesonly="true" whenempty="skip" update="false"/>
+ <delete dir="${temp.folder}"/>
+ </target>
+
+</project>
diff --git a/doc/org.eclipse.xpand.doc/build/antJavadoc.sh b/doc/org.eclipse.xpand.doc/build/antJavadoc.sh
new file mode 100644
index 0000000..85ac57d
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/build/antJavadoc.sh
@@ -0,0 +1,141 @@
+#!/bin/sh
+
+# BEGIN CUSTOMIZATIONS
+
+# The plugin name
+pluginName="org.eclipse.xpand";
+
+# string labels for javadoc content
+windowTitle="Xpand Javadoc";
+groupTitle="Xpand";
+
+# files to exclude from javadoc process - use Ant syntax
+javadocExclusions="<exclude name=\"**/internal/**\"/> <exclude name=\"**/examples/**\"/> <exclude name=\"**/tests/**\"/>";
+
+# END CUSTOMIZATIONS
+
+##########################################################################
+
+debug=0; if [ $debug -gt 0 ]; then echo "[antJd] debug: "$debug; fi
+
+if [ "x"$ANT_HOME = "x" ]; then export ANT_HOME=/opt/apache-ant-1.6; fi
+if [ "x"$JAVA_HOME = "x" ]; then export JAVA_HOME=/opt/ibm-java2-1.4; fi
+export PATH=${PATH}:${ANT_HOME}/bin
+
+# current directory - all but the name of this script, no trailing slash
+currentPath=$PWD"/"$0; currentPath=${currentPath%/*}; if [ $debug -gt 0 ]; then echo "[antJd] currentPath: "$currentPath; fi
+
+# path to $buildID/eclipse/plugins, no trailing slash
+pluginPath=${currentPath%/$pluginName*}; if [ $debug -gt 0 ]; then echo "[antJd] pluginName: "$pluginName; echo "[antJd] pluginPath: "$pluginPath; fi
+
+# ant script to create and then execute
+antScript=$currentPath"/javadoc.xml"; if [ $debug -gt 0 ]; then echo "[antJd] antScript: "$antScript; fi
+
+# The eclipse directory
+eclipseDir=`cd $1; echo $PWD`; if [ $debug -gt 0 ]; then echo "[antJd] eclipseDir: "$eclipseDir; fi
+
+# The destination directory
+destDir=$currentPath/../references/javadoc; mkdir -p $destDir; destDir=`cd $destDir; echo $PWD`; # resolve relative path
+if [ $debug -gt 0 ]; then echo "[antJd] destDir: "$destDir; fi
+
+hasToken=`grep -c "@plugin@" $antScript".template"`;
+if [ $hasToken -gt 0 ]; then
+ srcDir=$pluginPath/$pluginName/src; if [ $debug -gt 0 ]; then echo "[antJd] srcDir: "$srcDir; fi
+ if [ -d "$srcDir" ]; then
+ if [ `find $srcDir -name "*.java" | grep -c .` -eq 0 ]; then # must unpack zips first
+ if [ $debug -gt 0 ]; then echo "[antJd] Unpacking *src.zip"; fi
+ for f in `find $srcDir -name "*src.zip"`; do
+ if [ $debug -gt 1 ]; then echo "[antJd] Unpack $f"; fi
+ unzip -q -d $srcDir $f;
+ done
+ fi
+ if [ $debug -gt 0 ]; then echo "[antJd] *.java in srcDir: "; echo "-----------------"; echo `find $srcDir -type f -name '*.java'`; echo "-----------------"; fi
+ packages=`find $srcDir -type f -name '*.java' -exec grep -e '^package .*;' {} \; | sed -e 's/^package *\(.*\);/\1/' | sed -e 's/[ ]*//g' | dos2unix | sort | uniq | xargs | sed -e 's/ /:/g'`;
+ if [ $debug -gt 1 ]; then echo "[antJd] packages1: "$packages; fi
+ packages=`echo $packages | sed -e 's/\//\\\\\\//g' | sed -e 's/\./\\\\\./g'`; # slash escape
+ if [ $debug -gt 1 ]; then echo "[antJd] packages2: "$packages; fi
+ sed -e "s/\@plugin\@/${packages}/g" $antScript.template > $antScript.template.tmp;
+ else
+ echo "[antJd] ERROR! "$srcDir" does not exist!";
+ exit 1;
+ fi
+else
+ echo "[antJd] ERROR! "$currentPath"/javadoc.xml.template does not contain token @plugin@!";
+ exit 1;
+fi
+
+# Finds plugins in the Workspace:
+pluginDirs=`find $pluginPath -name "${pluginName}*" -maxdepth 1 -type d -printf '%T@ %p\n' | sort -n | cut -f2 -d' '`;
+if [ $debug -gt 0 ]; then
+ echo "[antJd] pluginDirs:";
+ for pluginDir in $pluginDirs; do echo "[antJd] "$pluginDir; done
+fi
+
+# All the jars in the plugins directory
+classpath="."`find $eclipseDir/plugins -name "*.jar" -printf ":%p"`; if [ $debug -gt 0 ]; then echo "[antJd] classpath: "$classpath; fi
+
+# Calculates the packagesets and the calls to copyDocFiles
+packagesets="";
+copydocfiles="";
+for pluginDir in $pluginDirs; do
+ pluginDir=`echo $pluginDir | sed -e 's/\/runtime$//g'`;
+ srcDir=$pluginDir/src;
+ if [ $debug -gt 0 ]; then echo "[antJd] srcDir: "$srcDir; fi
+ if [ -d "$srcDir" ]; then
+ # define what to include when javadoc'ing here:
+ packagesets=$packagesets"<packageset dir=\"$srcDir\"> ";
+ packagesets=$packagesets"<exclude name=\"$srcDir/**/doc-files/**\"/> ";
+ packagesets=$packagesets""$javadocExclusions;
+ packagesets=$packagesets"</packageset>";
+ copydocfiles=$copydocfiles"<copyDocFiles pluginDir=\"$pluginDir\"/>";
+ fi
+done
+if [ $debug -gt 0 ]; then
+ echo "[antJd] packagesets:"; echo $packagesets;
+ echo "[antJd] copydocfiles:"; echo $copydocfiles;
+fi
+
+# Finds the proper org.eclipse.platform.doc.isv jar
+docjar=`find $eclipseDir/plugins/ -name "org.eclipse.platform.doc.isv*.jar" -printf "%f"`; if [ $debug -gt 1 ]; then echo "[antJd] docjar: "$docjar; fi
+
+if [ -f $antScript.template ]; then
+ true;
+else
+ cp $antScript.template $antScript.template.tmp;
+fi
+
+# do replacements in template
+if [ $debug -gt 1 ]; then echo "[antJd] Replace @packagesets@ in the template ..."; fi
+packagesets=`echo $packagesets | sed -e 's/\//\\\\\\//g' | sed -e 's/\./\\\\\./g'`;
+sed -e "s/\@packagesets\@/${packagesets}/g" $antScript.template.tmp > $antScript.template.tmp2;
+
+if [ $debug -gt 1 ]; then echo "[antJd] Replace @copydocfiles@ in the template ..."; fi
+copydocfiles=`echo $copydocfiles | sed -e 's/\//\\\\\\//g' | sed -e 's/\./\\\\\./g'`;
+sed -e "s/\@copydocfiles\@/${copydocfiles}/g" $antScript.template.tmp2 > $antScript;
+
+#run ant to do javadoc build
+ant -f $antScript \
+ -DdestDir="$destDir" \
+ -Dclasspath="$classpath" \
+ -DeclipseDir="$eclipseDir" \
+ -Ddocjar="$docjar" \
+ -DwindowTitle="$windowTitle" \
+ -DgroupTitle="$groupTitle" \
+ -Doverview="$currentPath/overview.html";
+
+# Clean up templates
+rm -f $antScript $antScript.template.tmp $antScript.template.tmp2;
+
+# Generate topics_Reference.xml (replacement for doclet).
+trXML=$currentPath"/../topics_Reference.xml";
+echo '<?xml version="1.0" encoding="UTF-8"?>' >> $trXML;
+echo '<?NLS TYPE="org.eclipse.help.toc"?>' >> $trXML;
+echo '<toc label="Reference">' >> $trXML;
+echo ' <topic label="API Reference" href="references/javadoc/overview-summary.html">' >> $trXML;
+for packSum in `find $destDir -name "package-summary.html" | sort`; do
+ path=${packSum%/package-summary.html}; path=${path#$destDir/}; # org/eclipse/xsd/ecore/importer/taskdefs
+ label=${path//\//.}; # org.eclipse.xsd.ecore.importer.taskdefs
+ echo ' <topic label="'$label'" href="references/javadoc/'$path'/package-summary.html" />' >> $trXML;
+done
+echo ' </topic>' >> $trXML;
+echo '</toc>' >> $trXML; \ No newline at end of file
diff --git a/doc/org.eclipse.xpand.doc/build/javadoc.xml.template b/doc/org.eclipse.xpand.doc/build/javadoc.xml.template
new file mode 100644
index 0000000..9099dee
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/build/javadoc.xml.template
@@ -0,0 +1,96 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project name="Plugin Javadoc" default="javadoc">
+ <property name="destDir" value="doc"/>
+ <property name="classpath" value="bin"/>
+ <property name="overview" value="build/overview.html"/>
+ <property name="eclipseDir" value="."/>
+ <property name="docjar" value="org.eclipse.platform.doc.isv.jar"/>
+
+ <!-- other properties that must be passed to this script include:
+ windowTitle
+ groupTitle
+ -->
+
+ <property environment="env"/>
+ <property name="javaHome" value="${env.JAVA_HOME}"/>
+
+ <property name="javadoc.link.location" value="${eclipseDir}/javadoc"/>
+ <available property="platformJavadocExists" file="${javadoc.link.location}/platform/"/>
+
+ <!-- TODO Enable linking to the platform javadoc -->
+ <!-- <target name="extractPlatformJavadoc" unless="platformJavadocExists">
+ <exec executable="find">
+ <arg value="${eclipseDir}/.."/>
+ <arg value="-type"/>
+ <arg value="d"/>
+ <arg value="-name"/>
+ <arg value="javadoc"/>
+ </exec>
+ <unzip src="${eclipseDir}/@docjar@" dest="${javadoc.link.location}/platform/"/>
+ </target> -->
+
+ <!-- TODO Enable linking to the platform javadoc -->
+ <!-- <target name="javadoc" depends="extractPlatformJavadoc"> -->
+
+ <target name="javadoc">
+ <javadoc
+ destdir="${destDir}"
+ classpath="${classpath}"
+ overview="${overview}"
+
+ windowtitle="${windowTitle}"
+ footer="Copyright 2007 IBM Corporation and others.&lt;br&gt; All Rights Reserved."
+
+ access="protected"
+ additionalparam="-breakiterator -tag model:X -tag generated:X -tag ordered:X"
+ author="false"
+ breakiterator="true"
+ charset="UTF-8"
+ docencoding="UTF-8"
+ nodeprecated="false"
+ nodeprecatedlist="false"
+ noindex="false"
+ nonavbar="false"
+ notree="false"
+ source="1.4"
+ splitindex="true"
+ use="true"
+ version="true">
+ <arg value="-J-Xmx180m"/>
+
+ <link offline="true" href="http://java.sun.com/j2se/1.4/docs/api/" packagelistLoc="${javaHome}/docs/api/"/>
+ <!-- TODO Enable link to platform documentation -->
+ <!-- <link offline="true" href="/help/topic/org.eclipse.platform.doc.isv/reference/api/" packagelistLoc="${javadoc.link.location}/platform/reference/api/"/> -->
+
+ <tag name="ignore" description="ignore" enabled="false"/>
+ <tag name="generated" description="ignore" enabled="false"/>
+ <tag name="model" description="ignore" enabled="false"/>
+ <tag name="modifiable" description="ignore" enabled="false"/>
+ <tag name="extends" description="ignore" enabled="false"/>
+ <tag name="implements" description="ignore" enabled="false"/>
+ <tag name="ordered" description="ignore" enabled="false"/>
+
+ <!-- If you add a @ plugin @ below, don't forget to update the antjavadoc.sh file -->
+
+ <group title="${groupTitle}" packages="@plugin@"/>
+
+ <!-- If you add a @ plugin @ above, don't forget to update the antjavadoc.sh file -->
+
+ @packagesets@
+
+ </javadoc>
+
+ <!-- make sure the doc-files are copied -->
+ <macrodef name="copyDocFiles">
+ <attribute name="pluginDir"/>
+ <sequential>
+ <copy todir="${destDir}" failonerror="false">
+ <fileset dir="@{pluginDir}/src" includes="**/doc-files/**"/>
+ </copy>
+ </sequential>
+ </macrodef>
+
+ @copydocfiles@
+
+ </target>
+</project> \ No newline at end of file
diff --git a/doc/org.eclipse.xpand.doc/build/overview.html b/doc/org.eclipse.xpand.doc/build/overview.html
new file mode 100644
index 0000000..8586094
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/build/overview.html
@@ -0,0 +1,33 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
+ "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<!--
+/**
+ * <copyright>
+ *
+ * Copyright (c) 2007 IBM Corporation and others.
+ * All rights reserved. This program and the accompanying materials
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ * IBM - Initial API and implementation
+ *
+ * </copyright>
+ *
+ * $Id: overview.html,v 1.1 2007/12/15 00:34:29 bkolb Exp $
+ */
+-->
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+</head>
+<body bgcolor="white">
+<!-- This plug-in provides an API for .... -->
+<!-- The summary links point here when the contents are "copied". -->
+<!--
+<a name="details"></a>
+Please refer to the ... and ... package documentation for API details.
+-->
+</body>
+</html>
diff --git a/doc/org.eclipse.xpand.doc/plugin.properties b/doc/org.eclipse.xpand.doc/plugin.properties
new file mode 100644
index 0000000..7659373
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/plugin.properties
@@ -0,0 +1,4 @@
+# NLS_MESSAGEFORMAT_VAR
+pluginName = M2T Xpand Programmers Guide
+providerName=Eclipse.org
+
diff --git a/doc/org.eclipse.xpand.doc/plugin.xml b/doc/org.eclipse.xpand.doc/plugin.xml
new file mode 100644
index 0000000..28e7d93
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/plugin.xml
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?eclipse version="3.0"?>
+<plugin>
+ <!-- ====================================================================== -->
+ <!-- Define primary TOC -->
+ <!-- ====================================================================== -->
+ <extension point="org.eclipse.help.toc">
+ <toc file="toc.xml" primary="true"/>
+ <index path="index"/>
+ </extension>
+
+ <!-- ====================================================================== -->
+ <!-- Define TOCs -->
+ <!-- ====================================================================== -->
+
+ <extension point="org.eclipse.help.toc">
+ <toc file="topics_Reference.xml" />
+ </extension>
+
+<!-- ============================================================================= -->
+<!-- Define Javadoc locations -->
+<!-- ============================================================================= -->
+ <extension point="org.eclipse.pde.core.javadoc">
+ <javadoc path="doc.zip!/references/javadoc" archive="true">
+ <!-- @pluginIDs@ -->
+ <!-- list plugin IDs here, eg. <plugin id="org.eclipse.foo.bar"/> <plugin id="org.eclipse.foo.baz"/> -->
+ </javadoc>
+ </extension>
+
+</plugin>
diff --git a/doc/org.eclipse.xpand.doc/references/.cvsignore b/doc/org.eclipse.xpand.doc/references/.cvsignore
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/references/.cvsignore
diff --git a/doc/org.eclipse.xpand.doc/toc.xml b/doc/org.eclipse.xpand.doc/toc.xml
new file mode 100644
index 0000000..09f2734
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/toc.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?NLS TYPE="org.eclipse.help.toc"?>
+
+<toc label="M2T _SUBPROJECTNAME_ Table of Contents">
+ <topic label="Javadoc" href="references/javadoc/index.html"/>
+</toc>
diff --git a/doc/org.eclipse.xpand.doc/topics_Reference.xml b/doc/org.eclipse.xpand.doc/topics_Reference.xml
new file mode 100644
index 0000000..714e7f9
--- /dev/null
+++ b/doc/org.eclipse.xpand.doc/topics_Reference.xml
@@ -0,0 +1,3 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<span>File created to avoid PDE warnings.
+The actual content is created during the build.</span>